RDKit: RDKit::MMFF::MMFFMolProperties Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MMFF::MMFFMolProperties Class Reference

`#include <AtomTyper.h>`

## Public Member Functions
| MMFFMolProperties (ROMol &mol, const std::string &mmffVariant="MMFF94", std::uint8_t verbosity=MMFF_VERBOSITY_NONE, std::ostream &oStream=std::cout)
| ~MMFFMolProperties ()=default
unsigned int | getMMFFBondType (const Bond *bond)
unsigned int | getMMFFAngleType (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3)
const std::pair< unsigned int, unsigned int > | getMMFFTorsionType (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const unsigned int idx4)
void | computeMMFFCharges (const ROMol &mol)
const ForceFields::MMFF::MMFFTor * | getMMFFTorsionEmpiricalRuleParams (const ROMol &mol, unsigned int idx2, unsigned int idx3)
const ForceFields::MMFF::MMFFBond * | getMMFFBondStretchEmpiricalRuleParams (const ROMol &mol, const Bond *bond)
std::uint8_t | getMMFFAtomType (const unsigned int idx)
double | getMMFFFormalCharge (const unsigned int idx)
double | getMMFFPartialCharge (const unsigned int idx)
void | setMMFFBondTerm (const bool state)
bool | getMMFFBondTerm ()
void | setMMFFAngleTerm (const bool state)
bool | getMMFFAngleTerm ()
void | setMMFFStretchBendTerm (const bool state)
bool | getMMFFStretchBendTerm ()
void | setMMFFOopTerm (const bool state)
bool | getMMFFOopTerm ()
void | setMMFFTorsionTerm (const bool state)
bool | getMMFFTorsionTerm ()
void | setMMFFVdWTerm (const bool state)
bool | getMMFFVdWTerm ()
void | setMMFFEleTerm (const bool state)
bool | getMMFFEleTerm ()
void | setMMFFVariant (const std::string &mmffVariant)
const std::string | getMMFFVariant ()
void | setMMFFDielectricConstant (const double dielConst)
double | getMMFFDielectricConstant ()
void | setMMFFDielectricModel (std::uint8_t dielModel)
std::uint8_t | getMMFFDielectricModel ()
void | setMMFFVerbosity (std::uint8_t verbosity)
std::uint8_t | getMMFFVerbosity ()
void | setMMFFOStream (std::ostream *oStream)
std::ostream & | getMMFFOStream ()
bool | isValid ()
bool | getMMFFBondStretchParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, unsigned int &bondType, MMFFBond &mmffBondStretchParams)
bool | getMMFFAngleBendParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, unsigned int &angleType, MMFFAngle &mmffAngleBendParams)
bool | getMMFFStretchBendParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, unsigned int &stretchBendType, MMFFStbn &mmffStretchBendParams, MMFFBond mmffBondStretchParams[2], MMFFAngle &mmffAngleBendParams)
bool | getMMFFTorsionParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const unsigned int idx4, unsigned int &torsionType, MMFFTor &mmffTorsionParams)
bool | getMMFFOopBendParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const unsigned int idx4, MMFFOop &mmffOopBendParams)
bool | getMMFFVdWParams (const unsigned int idx1, const unsigned int idx2, MMFFVdWRijstarEps &mmffVdWParams)

## Detailed Description

Definition at line 76 of file MMFF/AtomTyper.h.

## Constructor & Destructor Documentation

## ◆ MMFFMolProperties()

RDKit::MMFF::MMFFMolProperties::MMFFMolProperties | ( | ROMol & | mol,
|  | const std::string & | mmffVariant = "MMFF94",
|  | std::uint8_t | verbosity = MMFF_VERBOSITY_NONE,
|  | std::ostream & | oStream = std::cout )

References RDKit::MMFF::MMFF_VERBOSITY_NONE.

## ◆ ~MMFFMolProperties()

RDKit::MMFF::MMFFMolProperties::~MMFFMolProperties | ( |  | ) |
| default

## Member Function Documentation

## ◆ computeMMFFCharges()

void RDKit::MMFF::MMFFMolProperties::computeMMFFCharges | ( | const ROMol & | mol | ) |

## ◆ getMMFFAngleBendParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFAngleBendParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | unsigned int & | angleType,
|  | MMFFAngle & | mmffAngleBendParams )

## ◆ getMMFFAngleTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFAngleTerm | ( |  | ) |
| inline

Definition at line 112 of file MMFF/AtomTyper.h.

## ◆ getMMFFAngleType()

unsigned int RDKit::MMFF::MMFFMolProperties::getMMFFAngleType | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3 )

## ◆ getMMFFAtomType()

std::uint8_t RDKit::MMFF::MMFFMolProperties::getMMFFAtomType | ( | const unsigned int | idx | ) |
| inline

Definition at line 94 of file MMFF/AtomTyper.h.

References URANGE_CHECK.

## ◆ getMMFFBondStretchEmpiricalRuleParams()

const ForceFields::MMFF::MMFFBond * RDKit::MMFF::MMFFMolProperties::getMMFFBondStretchEmpiricalRuleParams | ( | const ROMol & | mol,
|  | const Bond * | bond )

## ◆ getMMFFBondStretchParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFBondStretchParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | unsigned int & | bondType,
|  | MMFFBond & | mmffBondStretchParams )

## ◆ getMMFFBondTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFBondTerm | ( |  | ) |
| inline

Definition at line 110 of file MMFF/AtomTyper.h.

## ◆ getMMFFBondType()

unsigned int RDKit::MMFF::MMFFMolProperties::getMMFFBondType | ( | const Bond * | bond | ) |

## ◆ getMMFFDielectricConstant()

double RDKit::MMFF::MMFFMolProperties::getMMFFDielectricConstant | ( |  | ) |
| inline

Definition at line 139 of file MMFF/AtomTyper.h.

## ◆ getMMFFDielectricModel()

std::uint8_t RDKit::MMFF::MMFFMolProperties::getMMFFDielectricModel | ( |  | ) |
| inline

Definition at line 143 of file MMFF/AtomTyper.h.

## ◆ getMMFFEleTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFEleTerm | ( |  | ) |
| inline

Definition at line 124 of file MMFF/AtomTyper.h.

## ◆ getMMFFFormalCharge()

double RDKit::MMFF::MMFFMolProperties::getMMFFFormalCharge | ( | const unsigned int | idx | ) |
| inline

Definition at line 99 of file MMFF/AtomTyper.h.

References URANGE_CHECK.

## ◆ getMMFFOopBendParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFOopBendParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | const unsigned int | idx4,
|  | MMFFOop & | mmffOopBendParams )

## ◆ getMMFFOopTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFOopTerm | ( |  | ) |
| inline

Definition at line 118 of file MMFF/AtomTyper.h.

## ◆ getMMFFOStream()

std::ostream & RDKit::MMFF::MMFFMolProperties::getMMFFOStream | ( |  | ) |
| inline

Definition at line 149 of file MMFF/AtomTyper.h.

## ◆ getMMFFPartialCharge()

double RDKit::MMFF::MMFFMolProperties::getMMFFPartialCharge | ( | const unsigned int | idx | ) |
| inline

Definition at line 104 of file MMFF/AtomTyper.h.

References URANGE_CHECK.

## ◆ getMMFFStretchBendParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFStretchBendParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | unsigned int & | stretchBendType,
|  | MMFFStbn & | mmffStretchBendParams,
|  | MMFFBond | mmffBondStretchParams[2],
|  | MMFFAngle & | mmffAngleBendParams )

## ◆ getMMFFStretchBendTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFStretchBendTerm | ( |  | ) |
| inline

Definition at line 116 of file MMFF/AtomTyper.h.

## ◆ getMMFFTorsionEmpiricalRuleParams()

const ForceFields::MMFF::MMFFTor * RDKit::MMFF::MMFFMolProperties::getMMFFTorsionEmpiricalRuleParams | ( | const ROMol & | mol,
|  | unsigned int | idx2,
|  | unsigned int | idx3 )

## ◆ getMMFFTorsionParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFTorsionParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | const unsigned int | idx4,
|  | unsigned int & | torsionType,
|  | MMFFTor & | mmffTorsionParams )

## ◆ getMMFFTorsionTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFTorsionTerm | ( |  | ) |
| inline

Definition at line 120 of file MMFF/AtomTyper.h.

## ◆ getMMFFTorsionType()

const std::pair< unsigned int, unsigned int > RDKit::MMFF::MMFFMolProperties::getMMFFTorsionType | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | const unsigned int | idx4 )

## ◆ getMMFFVariant()

const std::string RDKit::MMFF::MMFFMolProperties::getMMFFVariant | ( |  | ) |
| inline

Definition at line 131 of file MMFF/AtomTyper.h.

## ◆ getMMFFVdWParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFVdWParams | ( | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | MMFFVdWRijstarEps & | mmffVdWParams )

## ◆ getMMFFVdWTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFVdWTerm | ( |  | ) |
| inline

Definition at line 122 of file MMFF/AtomTyper.h.

## ◆ getMMFFVerbosity()

std::uint8_t RDKit::MMFF::MMFFMolProperties::getMMFFVerbosity | ( |  | ) |
| inline

Definition at line 147 of file MMFF/AtomTyper.h.

## ◆ isValid()

bool RDKit::MMFF::MMFFMolProperties::isValid | ( |  | ) |
| inline

Definition at line 150 of file MMFF/AtomTyper.h.

Referenced by RDKit::MMFF::MMFFOptimizeMolecule(), and RDKit::MMFF::MMFFOptimizeMoleculeConfs().

## ◆ setMMFFAngleTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFAngleTerm | ( | const bool | state | ) |
| inline

Definition at line 111 of file MMFF/AtomTyper.h.

## ◆ setMMFFBondTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFBondTerm | ( | const bool | state | ) |
| inline

Definition at line 109 of file MMFF/AtomTyper.h.

## ◆ setMMFFDielectricConstant()

void RDKit::MMFF::MMFFMolProperties::setMMFFDielectricConstant | ( | const double | dielConst | ) |
| inline

Definition at line 134 of file MMFF/AtomTyper.h.

References PRECONDITION.

## ◆ setMMFFDielectricModel()

void RDKit::MMFF::MMFFMolProperties::setMMFFDielectricModel | ( | std::uint8_t | dielModel | ) |
| inline

Definition at line 140 of file MMFF/AtomTyper.h.

## ◆ setMMFFEleTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFEleTerm | ( | const bool | state | ) |
| inline

Definition at line 123 of file MMFF/AtomTyper.h.

## ◆ setMMFFOopTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFOopTerm | ( | const bool | state | ) |
| inline

Definition at line 117 of file MMFF/AtomTyper.h.

## ◆ setMMFFOStream()

void RDKit::MMFF::MMFFMolProperties::setMMFFOStream | ( | std::ostream * | oStream | ) |
| inline

Definition at line 148 of file MMFF/AtomTyper.h.

## ◆ setMMFFStretchBendTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFStretchBendTerm | ( | const bool | state | ) |
| inline

Definition at line 113 of file MMFF/AtomTyper.h.

## ◆ setMMFFTorsionTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFTorsionTerm | ( | const bool | state | ) |
| inline

Definition at line 119 of file MMFF/AtomTyper.h.

## ◆ setMMFFVariant()

void RDKit::MMFF::MMFFMolProperties::setMMFFVariant | ( | const std::string & | mmffVariant | ) |
| inline

Definition at line 125 of file MMFF/AtomTyper.h.

References PRECONDITION.

## ◆ setMMFFVdWTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFVdWTerm | ( | const bool | state | ) |
| inline

Definition at line 121 of file MMFF/AtomTyper.h.

## ◆ setMMFFVerbosity()

void RDKit::MMFF::MMFFMolProperties::setMMFFVerbosity | ( | std::uint8_t | verbosity | ) |
| inline

Definition at line 144 of file MMFF/AtomTyper.h.

The documentation for this class was generated from the following file:

- MMFF/AtomTyper.h